POST ticket/clubcard/payMovieTicket/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayMovieTicketByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| ticketId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "0db6405b-5b9b-460e-899e-763b9ca22f11",
"ticketId": "e5977b22-2976-46ef-a842-c840e8fdefc9"
}
application/xml, text/xml
Sample:
<PayMovieTicketByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>0db6405b-5b9b-460e-899e-763b9ca22f11</clubcardId> <ticketId>e5977b22-2976-46ef-a842-c840e8fdefc9</ticketId> </PayMovieTicketByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "e761ace5-5194-49d3-be0f-0677ff5655ce",
"paymentId": "95cc2af9-0f4a-4b49-b3b0-d5ec3ef7e7ea",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>e761ace5-5194-49d3-be0f-0677ff5655ce</objectId>
<paymentId>95cc2af9-0f4a-4b49-b3b0-d5ec3ef7e7ea</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>